<!doctype html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <title>Signin Using OpenSSO Login Page</title>
        
        <!-- Bootstrap core CSS -->
        <link href="./css/bootstrap.min.css" rel="stylesheet">

        <!-- Example CSS -->
        <link href="./css/example.css" rel="stylesheet">
    </head>
  <body class="text-center">
    
    <div id="login" class="form-signin">
        <h1 class="h3 mb-3 fw-normal">Sign in</h1>
        <hr>
        <!-- YOU MUST CHANGE THE URL LOGIN WITH YOUR OPENSSO -->
        <a href="http://localhost:3000/sso/login/94ecfcbd02ec4ccb8509fc371fc320b9" class="w-100 btn btn-lg btn-primary">Single Sign On</a>
    </div>

    <div id="user-info" class="form-signin" style="display:none">
        <table class="table">
            <tbody class="text-left">
                <tr>
                    <th scope="row" colspan="2"><img id="picture" src="https://via.placeholder.com/150"></th>
                </tr>
                <tr>
                    <th scope="row">User ID</th>
                    <td><span id="user_id"></span></td>
                </tr>
                <tr>
                    <th scope="row">Username</th>
                    <td><span id="username"></span></td>
                </tr>
                <tr>
                    <th scope="row">Name</th>
                    <td><span id="name"></span></td>
                </tr>
                <tr>
                    <th scope="row">Email</th>
                    <td><span id="email"></span></td>
                </tr>
            </tbody>
        </table>
        <button type="button" class="btn btn-danger" onclick="handleLogout()">Logout</button>
    </div>

    <script src="https://cdn.jsdelivr.net/npm/browser-storage-class@1.1.1/dist/browser-storage-class.min.js"></script>
    <script src="./js/global.js"></script>
    <script>
        
        // Get Token from URL
        var urlQuery = getUrlParam(window.location.href);
        var token = urlQuery['token'];

        // Handle the UI
        function setLogin(bool, obj) {
            bool = (bool === undefined ? true : bool);
            obj = (obj === undefined ? null : obj);
            if(bool) {
                document.getElementById('login').style.display = 'none';
                document.getElementById('user-info').style.display = 'block';
                // fill data
                document.getElementById('picture').setAttribute('src', obj.gravatar);
                document.getElementById('user_id').innerHTML = obj.uid;
                document.getElementById('username').innerHTML = obj.unm;
                document.getElementById('name').innerHTML = obj.name;
                document.getElementById('email').innerHTML = obj.mail;
            } else {
                document.getElementById('login').style.display = 'block';
                document.getElementById('user-info').style.display = 'none';
                // cleanup data
                document.getElementById('picture').setAttribute('src', 'https://via.placeholder.com/150');
                document.getElementById('user_id').innerHTML = '';
                document.getElementById('username').innerHTML = '';
                document.getElementById('name').innerHTML = '';
                document.getElementById('email').innerHTML = '';
            }
        }

        function handleLogout() {
            logout(function(err, success) {
                if(err) return console.log(err);
                if(success) {
                    setLogin(false);
                    // you can set redirect here
                    // location.href= '/';
                }
            });
        }

        // Onload
        (function() {
            // If there is token
            if(token) {
                // save token to localstorage
                var success = saveToken(token);
                if(success) {
                    setLogin(true, getUserInfo());
                }
            } else {
                // if there is no token on url then check token from localstorage
                checkToken(function(err, data) {
                    if(err) return console.log(err);
                    if(data) { // if token found and still active
                        setLogin(true, getUserInfo());
                    } else {
                        setLogin(false);
                    }
                });
            }
        })();
    </script>
    </body>
</html>
